 fs/buffer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/buffer.c~aio-06-bread_wq-fix fs/buffer.c
--- 25/fs/buffer.c~aio-06-bread_wq-fix	2003-05-23 02:31:27.000000000 -0700
+++ 25-akpm/fs/buffer.c	2003-05-23 02:31:36.000000000 -0700
@@ -1997,8 +1997,8 @@ static int __block_prepare_write(struct 
 	/*
 	 * If we issued read requests - let them complete.
 	 */
-	while(wait_bh > wait) {
-		if (err = wait_on_buffer_wq(*--wait_bh, current->io_wait))
+	while (wait_bh > wait) {
+		if ((err = wait_on_buffer_wq(*--wait_bh, current->io_wait)))
 			return err; 
 		if (!buffer_uptodate(*wait_bh))
 			return -EIO;

_
